<div class="header-container">
  <div class="logo-container">
    <a (click)="toggleSidebar()" href="#" class="sidebar-toggle">
      <nb-icon icon="menu-2-outline"></nb-icon>
    </a>
    <a class="logo" [routerLink]="['/beranda']" routerLinkActive="router-link-active">E-<span>Office</span> PKK</a>
  </div>
  <span class="label-2">Gaya tema</span>
  <nb-select [selected]="currentTheme" (selectedChange)="changeTheme($event)" status="primary">
    <nb-option *ngFor="let theme of themes" [value]="theme.value"> {{ theme.name }}</nb-option>
  </nb-select>
</div>

<div class="header-container">
  <nb-actions size="small">

    <!-- <nb-action class="control-item">
      <nb-search type="rotate-layout"></nb-search>
    </nb-action>
    <nb-action class="control-item" icon="email-outline"></nb-action> -->
    <!-- <nb-action
      class="control-item"
      icon="bell-outline"
      badgeText="1"
      badgeStatus="danger"
      badgePosition="top right">
      
      <nb-card size="small">
        <nb-list>
          <nb-list-item>
            aaaaa
          </nb-list-item>
        </nb-list>
      </nb-card>
    </nb-action> -->

    <!-- <nb-action
      class="control-item">

      <div>
        <div>
          <nb-icon (click)="isNotificationOpen = !isNotificationOpen" class="notification__icon" icon="bell-outline"></nb-icon>
          <nb-badge [text]="unreadNotificationCount" status="primary"></nb-badge>
        </div>
        
        <div class="notification__wrapper" (clickOutside)="onClickedOutside($event)" [exclude]="'nb-icon.notification__icon'" *ngIf="isNotificationOpen">
          <nb-card size="small">
            <nb-card-header>
              Pemberitahuan
            </nb-card-header>
            <nb-list>
              <nb-list-item *ngFor="let notification of notifications" [ngClass]="{'notification--unread': notification.status === 1}">
                <nb-user
                  [name]="notification.username"
                  [title]="notification.message"
                  [picture]="baseUrlApi + '/avatar/' + notification?.picture"
                  (click)="readNotification(notification)">
                </nb-user>
              </nb-list-item>
            </nb-list>
          </nb-card>
        </div>
      </div>
      
      
    </nb-action> -->

    <nb-action class="user-action" *nbIsGranted="['view', 'user']" >
      <nb-user [nbContextMenu]="userMenu"
               [onlyPicture]="userPictureOnly"
               [name]="user?.username"
               [picture]="baseUrlApi + '/avatar/' + user?.picture">
      </nb-user>
    </nb-action>
  </nb-actions>
</div>
